Package org.pushingpixels.flamingo.api.common

# Class ProgressEvent

java.lang.Object
java.util.EventObject
org.pushingpixels.flamingo.api.common.ProgressEvent

All Implemented Interfaces:
  `Serializable`

public class ProgressEvent extends EventObject
This event is used to notify interested parties that progress has been made in the event source.

See Also:
  - `ProgressListener`
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`ProgressEvent(Object source, int min, int max, int progress)`
Creates a new progress event.

## Method Summary

Modifier and Type
Method
Description
`int`
`getMaximum()`
Returns the maximum value of the available progress range.
`int`
`getMinimum()`
Returns the minimum value of the available progress range.
`int`
`getProgress()`
Returns the current value of the progress.

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ProgressEvent

public ProgressEvent(Object source, int min, int max, int progress)
Creates a new progress event.

Parameters:
  `source` - Event source.
  `min` - Minimum value of the available progress range.
  `max` - Maximum value of the available progress range.
  `progress` - Current value of the progress.

## Method Details

### getMaximum

public int getMaximum()
Returns the maximum value of the available progress range.

Returns:
  The maximum value of the available progress range.

### getMinimum

public int getMinimum()
Returns the minimum value of the available progress range.

Returns:
  The minimum value of the available progress range.

### getProgress

public int getProgress()
Returns the current value of the progress.

Returns:
  The current value of the progress.